Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.impl
Class VViewPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.spi.model.impl.VViewPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VViewPackage

    public class VViewPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VViewPackage

An implementation of the model Package.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.spi.model.VViewPackage
`VViewPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.model.VViewPackage
`ATTACHMENT, ATTACHMENT_FEATURE_COUNT, CONTAINED_CONTAINER, CONTAINED_CONTAINER__ATTACHMENTS, CONTAINED_CONTAINER__CHILDREN, CONTAINED_CONTAINER__DIAGNOSTIC, CONTAINED_CONTAINER__ENABLED, CONTAINED_CONTAINER__LABEL, CONTAINED_CONTAINER__NAME, CONTAINED_CONTAINER__READONLY, CONTAINED_CONTAINER__VISIBLE, CONTAINED_CONTAINER_FEATURE_COUNT, CONTAINED_ELEMENT, CONTAINED_ELEMENT__ATTACHMENTS, CONTAINED_ELEMENT__DIAGNOSTIC, CONTAINED_ELEMENT__ENABLED, CONTAINED_ELEMENT__LABEL, CONTAINED_ELEMENT__NAME, CONTAINED_ELEMENT__READONLY, CONTAINED_ELEMENT__VISIBLE, CONTAINED_ELEMENT_FEATURE_COUNT, CONTAINER, CONTAINER__ATTACHMENTS, CONTAINER__CHILDREN, CONTAINER__DIAGNOSTIC, CONTAINER__ENABLED, CONTAINER__LABEL, CONTAINER__NAME, CONTAINER__READONLY, CONTAINER__VISIBLE, CONTAINER_FEATURE_COUNT, CONTROL, CONTROL__ATTACHMENTS, CONTROL__DIAGNOSTIC, CONTROL__DOMAIN_MODEL_REFERENCE, CONTROL__ENABLED, CONTROL__LABEL, CONTROL__LABEL_ALIGNMENT, CONTROL__NAME, CONTROL__READONLY, CONTROL__VISIBLE, CONTROL_FEATURE_COUNT, DIAGNOSTIC, DIAGNOSTIC__DIAGNOSTICS, DIAGNOSTIC_FEATURE_COUNT, DOMAIN_MODEL_REFERENCE, DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER, DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER, DOMAIN_MODEL_REFERENCE_FEATURE_COUNT, eINSTANCE, ELEMENT, ELEMENT__ATTACHMENTS, ELEMENT__DIAGNOSTIC, ELEMENT__ENABLED, ELEMENT__LABEL, ELEMENT__NAME, ELEMENT__READONLY, ELEMENT__VISIBLE, ELEMENT_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, FEATURE_PATH_DOMAIN_MODEL_REFERENCE, FEATURE_PATH_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER, FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE, FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH, FEATURE_PATH_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT, LABEL_ALIGNMENT, VIEW, VIEW__ATTACHMENTS, VIEW__CHILDREN, VIEW__DIAGNOSTIC, VIEW__ECORE_PATH, VIEW__ENABLED, VIEW__LABEL, VIEW__NAME, VIEW__READONLY, VIEW__ROOT_ECLASS, VIEW__VISIBLE, VIEW_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` | `getAttachment()`
`org.eclipse.emf.ecore.EClass` | `getContainedContainer()`
`org.eclipse.emf.ecore.EClass` | `getContainedElement()`
`org.eclipse.emf.ecore.EReference` | `getContainer_Children()`
`org.eclipse.emf.ecore.EClass` | `getContainer()`
`org.eclipse.emf.ecore.EReference` | `getControl_DomainModelReference()`
`org.eclipse.emf.ecore.EAttribute` | `getControl_LabelAlignment()`
`org.eclipse.emf.ecore.EClass` | `getControl()`
`org.eclipse.emf.ecore.EAttribute` | `getDiagnostic_Diagnostics()`
`org.eclipse.emf.ecore.EClass` | `getDiagnostic()`
`org.eclipse.emf.ecore.EAttribute` | `getDomainModelReference_ChangeListener()`
`org.eclipse.emf.ecore.EClass` | `getDomainModelReference()`
`org.eclipse.emf.ecore.EDataType` | `getDomainModelReferenceChangeListener()`
`org.eclipse.emf.ecore.EReference` | `getElement_Attachments()`
`org.eclipse.emf.ecore.EReference` | `getElement_Diagnostic()`
`org.eclipse.emf.ecore.EAttribute` | `getElement_Enabled()`
`org.eclipse.emf.ecore.EAttribute` | `getElement_Label()`
`org.eclipse.emf.ecore.EAttribute` | `getElement_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getElement_Readonly()`
`org.eclipse.emf.ecore.EAttribute` | `getElement_Visible()`
`org.eclipse.emf.ecore.EClass` | `getElement()`
`org.eclipse.emf.ecore.EReference` | `getFeaturePathDomainModelReference_DomainModelEFeature()`
`org.eclipse.emf.ecore.EReference` | `getFeaturePathDomainModelReference_DomainModelEReferencePath()`
`org.eclipse.emf.ecore.EClass` | `getFeaturePathDomainModelReference()`
`org.eclipse.emf.ecore.EEnum` | `getLabelAlignment()`
`org.eclipse.emf.ecore.EReference` | `getView_Children()`
`org.eclipse.emf.ecore.EAttribute` | `getView_EcorePath()`
`org.eclipse.emf.ecore.EReference` | `getView_RootEClass()`
`org.eclipse.emf.ecore.EClass` | `getView()`
`VViewFactory` | `getViewFactory()`
`static VViewPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VViewPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VViewPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VViewPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getElement

    public org.eclipse.emf.ecore.EClass getElement()

  Specified by:
    `getElement` in interface `VViewPackage`
  Returns:
    the meta object for class 'Element'.
  See Also:
    `VElement`

### getElement_Name

    public org.eclipse.emf.ecore.EAttribute getElement_Name()

  Specified by:
    `getElement_Name` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VElement.getName()`, `VViewPackage.getElement()`

### getElement_Label

    public org.eclipse.emf.ecore.EAttribute getElement_Label()

  Specified by:
    `getElement_Label` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Label'.
  Since:
    1.6
  See Also:
    `VElement.getLabel()`, `VViewPackage.getElement()`

### getElement_Visible

    public org.eclipse.emf.ecore.EAttribute getElement_Visible()

  Specified by:
    `getElement_Visible` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `VElement.isVisible()`, `VViewPackage.getElement()`

### getElement_Enabled

    public org.eclipse.emf.ecore.EAttribute getElement_Enabled()

  Specified by:
    `getElement_Enabled` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `VElement.isEnabled()`, `VViewPackage.getElement()`

### getElement_Readonly

    public org.eclipse.emf.ecore.EAttribute getElement_Readonly()

  Specified by:
    `getElement_Readonly` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Readonly'.
  See Also:
    `VElement.isReadonly()`, `VViewPackage.getElement()`

### getElement_Diagnostic

    public org.eclipse.emf.ecore.EReference getElement_Diagnostic()

  Specified by:
    `getElement_Diagnostic` in interface `VViewPackage`
  Returns:
    the meta object for the containment reference 'Diagnostic'.
  See Also:
    `VElement.getDiagnostic()`, `VViewPackage.getElement()`

### getElement_Attachments

    public org.eclipse.emf.ecore.EReference getElement_Attachments()

  Specified by:
    `getElement_Attachments` in interface `VViewPackage`
  Returns:
    the meta object for the containment reference list 'Attachments'.
  See Also:
    `VElement.getAttachments()`, `VViewPackage.getElement()`

### getDiagnostic

    public org.eclipse.emf.ecore.EClass getDiagnostic()

  Specified by:
    `getDiagnostic` in interface `VViewPackage`
  Returns:
    the meta object for class 'Diagnostic'.
  See Also:
    `VDiagnostic`

### getDiagnostic_Diagnostics

    public org.eclipse.emf.ecore.EAttribute getDiagnostic_Diagnostics()

  Specified by:
    `getDiagnostic_Diagnostics` in interface `VViewPackage`
  Returns:
    the meta object for the attribute list 'Diagnostics'.
  See Also:
    `VDiagnostic.getDiagnostics()`, `VViewPackage.getDiagnostic()`

### getView

    public org.eclipse.emf.ecore.EClass getView()

  Specified by:
    `getView` in interface `VViewPackage`
  Returns:
    the meta object for class 'View'.
  See Also:
    `VView`

### getView_RootEClass

    public org.eclipse.emf.ecore.EReference getView_RootEClass()

  Specified by:
    `getView_RootEClass` in interface `VViewPackage`
  Returns:
    the meta object for the reference 'Root EClass'.
  See Also:
    `VView.getRootEClass()`, `VViewPackage.getView()`

### getView_Children

    public org.eclipse.emf.ecore.EReference getView_Children()

  Specified by:
    `getView_Children` in interface `VViewPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VView.getChildren()`, `VViewPackage.getView()`

### getView_EcorePath

    public org.eclipse.emf.ecore.EAttribute getView_EcorePath()

  Specified by:
    `getView_EcorePath` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Ecore Path'.
  Since:
    1.3
  See Also:
    `VView.getEcorePath()`, `VViewPackage.getView()`

### getContainedElement

    public org.eclipse.emf.ecore.EClass getContainedElement()

  Specified by:
    `getContainedElement` in interface `VViewPackage`
  Returns:
    the meta object for class 'Contained Element'.
  See Also:
    `VContainedElement`

### getControl

    public org.eclipse.emf.ecore.EClass getControl()

  Specified by:
    `getControl` in interface `VViewPackage`
  Returns:
    the meta object for class 'Control'.
  See Also:
    `VControl`

### getControl_DomainModelReference

    public org.eclipse.emf.ecore.EReference getControl_DomainModelReference()

  Specified by:
    `getControl_DomainModelReference` in interface `VViewPackage`
  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `VControl.getDomainModelReference()`, `VViewPackage.getControl()`

### getContainer

    public org.eclipse.emf.ecore.EClass getContainer()

  Specified by:
    `getContainer` in interface `VViewPackage`
  Returns:
    the meta object for class 'Container'.
  See Also:
    `VContainer`

### getContainer_Children

    public org.eclipse.emf.ecore.EReference getContainer_Children()

  Specified by:
    `getContainer_Children` in interface `VViewPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VContainer.getChildren()`, `VViewPackage.getContainer()`

### getContainedContainer

    public org.eclipse.emf.ecore.EClass getContainedContainer()

  Specified by:
    `getContainedContainer` in interface `VViewPackage`
  Returns:
    the meta object for class 'Contained Container'.
  Since:
    1.4
  See Also:
    `VContainedContainer`

### getControl_LabelAlignment

    public org.eclipse.emf.ecore.EAttribute getControl_LabelAlignment()

  Specified by:
    `getControl_LabelAlignment` in interface `VViewPackage`
  Returns:
    the meta object for the attribute 'Label Alignment'.
  See Also:
    `VControl.getLabelAlignment()`, `VViewPackage.getControl()`

### getLabelAlignment

    public org.eclipse.emf.ecore.EEnum getLabelAlignment()

  Specified by:
    `getLabelAlignment` in interface `VViewPackage`
  Returns:
    the meta object for enum 'Label Alignment'.
  Since:
    1.3
  See Also:
    `LabelAlignment`

### getDomainModelReferenceChangeListener

    public org.eclipse.emf.ecore.EDataType getDomainModelReferenceChangeListener()

  Specified by:
    `getDomainModelReferenceChangeListener` in interface `VViewPackage`
  Returns:
    the meta object for data type 'Domain Model Reference Change Listener'.
  Since:
    1.3
  See Also:
    `DomainModelReferenceChangeListener`

### getDomainModelReference

    public org.eclipse.emf.ecore.EClass getDomainModelReference()

  Specified by:
    `getDomainModelReference` in interface `VViewPackage`
  Returns:
    the meta object for class 'Domain Model Reference'.
  See Also:
    `VDomainModelReference`

### getDomainModelReference_ChangeListener

    public org.eclipse.emf.ecore.EAttribute getDomainModelReference_ChangeListener()

  Specified by:
    `getDomainModelReference_ChangeListener` in interface `VViewPackage`
  Returns:
    the meta object for the attribute list 'Change Listener'.
  Since:
    1.3
  See Also:
    `VDomainModelReference.getChangeListener()`, `VViewPackage.getDomainModelReference()`

### getFeaturePathDomainModelReference

    public org.eclipse.emf.ecore.EClass getFeaturePathDomainModelReference()

  Specified by:
    `getFeaturePathDomainModelReference` in interface `VViewPackage`
  Returns:
    the meta object for class 'Feature Path Domain Model Reference'.
  See Also:
    `VFeaturePathDomainModelReference`

### getFeaturePathDomainModelReference_DomainModelEFeature

    public org.eclipse.emf.ecore.EReference getFeaturePathDomainModelReference_DomainModelEFeature()

  Specified by:
    `getFeaturePathDomainModelReference_DomainModelEFeature` in interface `VViewPackage`
  Returns:
    the meta object for the reference 'Domain Model EFeature'.
  See Also:
    `VFeaturePathDomainModelReference.getDomainModelEFeature()`, `VViewPackage.getFeaturePathDomainModelReference()`

### getFeaturePathDomainModelReference_DomainModelEReferencePath

    public org.eclipse.emf.ecore.EReference getFeaturePathDomainModelReference_DomainModelEReferencePath()

  Specified by:
    `getFeaturePathDomainModelReference_DomainModelEReferencePath` in interface `VViewPackage`
  Returns:
    the meta object for the reference list 'Domain Model EReference Path'.
  See Also:
    `VFeaturePathDomainModelReference.getDomainModelEReferencePath()`, `VViewPackage.getFeaturePathDomainModelReference()`

### getAttachment

    public org.eclipse.emf.ecore.EClass getAttachment()

  Specified by:
    `getAttachment` in interface `VViewPackage`
  Returns:
    the meta object for class 'Attachment'.
  See Also:
    `VAttachment`

### getViewFactory

    public VViewFactory getViewFactory()

  Specified by:
    `getViewFactory` in interface `VViewPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.